import { IQuoteRequestProductListComponent, IProduct } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestProductList implements IQuoteRequestProductListComponent {
    /**
     * Product list
     */
    products: IProduct[];
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
